%define name 	logcoloriser
%define ver	1.0.8
%define rel	1
%define prefix	/usr

Summary: A Perl script for colorizing syslog generated log files.
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Applications/System
Source0: http://www.linuxsupportline.com/~pgp/linux/logcolorise-%{ver}.tar.bz2
URL: http://www.linuxsupportline.com/~pgp/linux/linux.html#Scripts
Buildroot: /var/tmp/%{name}-root
Requires: perl
Buildarch: noarch

%description
Logcoloriser is a Perl script which will colorize syslog generated log
files. The colorization basically provides context highlighting based
on keywords, so it makes the log files easier to read.

%prep
%setup -q -n logcolorise-%{ver}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
install -m 755 logcolorise.pl $RPM_BUILD_ROOT%{prefix}/bin/logcolorise.pl

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{prefix}/bin/logcolorise.pl

%changelog
* Thu Nov 18 1999 Tim Powers <timp@redhat.com>
- updated to 1.0.8

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- updated source to 1.0.2 since it now works with tail -f

* Tue Aug 3 1999 Tim Powers <timp@redhat.com>
- kind of cool, so including it
- first build

